Subject: Re: possible ld bug - Resources
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 17 Jun 2000 21:01:18 -0400

Jason,

[email-masked] wrote:
> Is it normal behaivior to only have one resource object linked properly?  If
> so, that is rather odd.  Why can you link only one resource obj but many .cpp
> objs?

I've only tried to do the above with MSVC++ and came across the same
limitation -- so I think that it is a Windows thing.  I solved it by
including one .rc into the other .rc file.  For example:

--- Begin of sra.rc ---
...
#include "SraMessages.rc"
...
--- End of sra.c ---

Hopefully you can do the same or similar thing with gcc.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]